commit:     5297a8e81c456675c5d2f88170da0b9b003b732d
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 13 18:11:15 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Oct 13 18:26:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5297a8e8

sys-cluster/neutron: 2015.1.9999 bup

Package-Manager: portage-2.2.20.1

 sys-cluster/neutron/Manifest                |   1 +
 sys-cluster/neutron/neutron-2015.1.2.ebuild | 253 ++++++++++++++++++++++++++++
 2 files changed, 254 insertions(+)

diff --git a/sys-cluster/neutron/Manifest b/sys-cluster/neutron/Manifest
index 846acf8..409b8d2 100644
--- a/sys-cluster/neutron/Manifest
+++ b/sys-cluster/neutron/Manifest
@@ -1 +1,2 @@
 DIST neutron-2015.1.1.tar.gz 2049496 SHA256 
91569feaacc983635f64bc27f3903162526e984778aa6683129e578715f8c5b9 SHA512 
aa9712a0d44efc2d52f47a2dfac449fb57b82bef675ea5d64b950859780240fbd441a3f8cd9684afff3c51502f8200c0db3b17471fabbd30724ce92662183fe2
 WHIRLPOOL 
aeb6757f855115eb08d2707db40f54cdd488e67e69eb829ea2b31e83fe029ca3cde24e4520b8d8649da285354b161f47a237181a199cd786552d26f19c66181e
+DIST neutron-2015.1.2.tar.gz 2064808 SHA256 
3ff282d75e86ea25f64e97e24b2960e7ffaeef7cf4a69c16d20ffe18065d0ef0 SHA512 
441f872b4c8b117cd28d0f0a4c9a1a60382e48fecd120bb5fc9cbd209a49af41fa17f3ecd2b0d7266a0627d9afe387ea32a2d75bc2337968b5c2cb7a87732aa4
 WHIRLPOOL 
70a05c56ca367d8553b0c3a2067c33e6ae9decc52f745c3cb8ecf9bb842239849af34f490bd8dfbdf1a2243622d7f72d31cbcfea7435e99215ae7a65a3c2248e

diff --git a/sys-cluster/neutron/neutron-2015.1.2.ebuild 
b/sys-cluster/neutron/neutron-2015.1.2.ebuild
new file mode 100644
index 0000000..4df2cc2
--- /dev/null
+++ b/sys-cluster/neutron/neutron-2015.1.2.ebuild
@@ -0,0 +1,253 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 linux-info user
+
+DESCRIPTION="A virtual network service for Openstack"
+HOMEPAGE="https://launchpad.net/neutron";
+SRC_URI="https://launchpad.net/${PN}/kilo/${PV}/+download/${P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="compute-only dhcp doc ipv6 l3 metadata openvswitch linuxbridge server 
test sqlite mysql postgres"
+REQUIRED_USE="!compute-only? ( || ( mysql postgres sqlite ) )
+                                               compute-only? ( !mysql 
!postgres !sqlite !dhcp !l3 !metadata !server
+                                               || ( openvswitch linuxbridge ) 
)"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+       <dev-python/pbr-1.0[${PYTHON_USEDEP}]
+       app-admin/sudo
+       test? (
+               ${RDEPEND}
+               >=dev-python/cliff-1.10.0[${PYTHON_USEDEP}]
+               <dev-python/cliff-1.11.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-0.3.14[${PYTHON_USEDEP}]
+               <dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+               >=dev-python/mock-1.0[${PYTHON_USEDEP}]
+               <dev-python/mock-1.1.0[${PYTHON_USEDEP}]
+               >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+               <dev-python/oslo-sphinx-2.6.0[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testtools-0.9.36[${PYTHON_USEDEP}]
+               !~dev-python/testtools-1.2.0[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               >=dev-python/webtest-2.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-1.5.1[${PYTHON_USEDEP}]
+               <dev-python/oslotest-1.6.0[${PYTHON_USEDEP}]
+               >=dev-python/tempest-lib-0.4.0[${PYTHON_USEDEP}]
+               <dev-python/tempest-lib-0.5.0[${PYTHON_USEDEP}]
+       )"
+
+RDEPEND="
+       dev-python/paste[${PYTHON_USEDEP}]
+       >=dev-python/pastedeploy-1.5.0-r1[${PYTHON_USEDEP}]
+       >=dev-python/routes-1.12.3[${PYTHON_USEDEP}]
+       !~dev-python/routes-2.0[${PYTHON_USEDEP}]
+       >=dev-python/eventlet-0.16.1[${PYTHON_USEDEP}]
+       !~dev-python/eventlet-0.17.0[${PYTHON_USEDEP}]
+       >=dev-python/greenlet-0.3.2[${PYTHON_USEDEP}]
+       >=dev-python/httplib2-0.7.5[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.2.0[${PYTHON_USEDEP}]
+       !~dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+       dev-python/jsonrpclib[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.6[${PYTHON_USEDEP}]
+       >=dev-python/keystonemiddleware-1.5.0[${PYTHON_USEDEP}]
+       <dev-python/keystonemiddleware-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.12[${PYTHON_USEDEP}]
+       >=dev-python/python-neutronclient-2.4.0[${PYTHON_USEDEP}]
+       <dev-python/python-neutronclient-2.5.0[${PYTHON_USEDEP}]
+       >=dev-python/retrying-1.2.3[${PYTHON_USEDEP}]
+       !~dev-python/retrying-1.3.0[${PYTHON_USEDEP}]
+       compute-only? (
+               >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+               <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+       )
+       sqlite? (
+               >=dev-python/sqlalchemy-0.9.7[sqlite,${PYTHON_USEDEP}]
+               <=dev-python/sqlalchemy-0.9.99[sqlite,${PYTHON_USEDEP}]
+       )
+       mysql? (
+               dev-python/mysql-python
+               >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+               <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+       )
+       postgres? (
+               dev-python/psycopg:2
+               >=dev-python/sqlalchemy-0.9.7[${PYTHON_USEDEP}]
+               <=dev-python/sqlalchemy-0.9.99[${PYTHON_USEDEP}]
+       )
+       >=dev-python/webob-1.2.3[${PYTHON_USEDEP}]
+       >=dev-python/python-keystoneclient-1.2.0[${PYTHON_USEDEP}]
+       <dev-python/python-keystoneclient-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/alembic-0.7.2[${PYTHON_USEDEP}]
+       <dev-python/alembic-0.8.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.3.0[${PYTHON_USEDEP}]
+       <dev-python/stevedore-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-concurrency-1.8.2[${PYTHON_USEDEP}]
+       <dev-python/oslo-concurrency-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-1.9.3[${PYTHON_USEDEP}]
+       <dev-python/oslo-config-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-context-0.2.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-context-0.3.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-db-1.7.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-db-1.8.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-i18n-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-log-1.0.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-log-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-messaging-1.8.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-messaging-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-middleware-1.0.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-middleware-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-rootwrap-1.6.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-rootwrap-1.7.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.4.0[${PYTHON_USEDEP}]
+       <dev-python/oslo-serialization-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-1.4.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-utils-1.4.1[${PYTHON_USEDEP}]
+       <dev-python/oslo-utils-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/python-novaclient-2.22.0[${PYTHON_USEDEP}]
+       <dev-python/python-novaclient-2.24.0[${PYTHON_USEDEP}]
+       dev-python/pyudev[${PYTHON_USEDEP}]
+       sys-apps/iproute2
+       net-misc/bridge-utils
+       net-firewall/ipset
+       net-firewall/iptables
+       net-firewall/ebtables
+       openvswitch? ( net-misc/openvswitch )
+       ipv6? ( net-misc/radvd )
+       dhcp? ( net-dns/dnsmasq[dhcp-tools] )"
+
+PATCHES=(
+)
+
+pkg_setup() {
+       linux-info_pkg_setup
+       CONFIG_CHECK_MODULES="VLAN_8021Q IP6_NF_FILTER IP6_NF_IPTABLES 
IP_NF_TARGET_REJECT \
+       IP_NF_MANGLE IP_NF_TARGET_MASQUERADE NF_NAT_IPV4 NF_CONNTRACK_IPV4 
NF_DEFRAG_IPV4 \
+       NF_NAT_IPV4 NF_NAT NF_CONNTRACK IP_NF_FILTER IP_NF_IPTABLES 
NETFILTER_XTABLES"
+       if linux_config_exists; then
+               for module in ${CONFIG_CHECK_MODULES}; do
+                       linux_chkconfig_present ${module} || ewarn "${module} 
needs to be enabled in kernel"
+               done
+       fi
+       enewgroup neutron
+       enewuser neutron -1 -1 /var/lib/neutron neutron
+}
+
+pkg_config() {
+       fperms 0700 /var/log/neutron
+       fowners neutron:neutron /var/log neutron
+}
+
+sddrc_prepare() {
+       sed -i '/^hacking/d' test-requirements.txt || die
+       # it's /bin/ip not /sbin/ip
+       sed -i 's/sbin\/ip\,/bin\/ip\,/g' etc/neutron/rootwrap.d/* || die
+       distutils-r1_src_prepare
+}
+
+python_compile_all() {
+       use doc && make -C doc html
+}
+
+python_test() {
+       # https://bugs.launchpad.net/neutron/+bug/1234857
+       # https://bugs.launchpad.net/swift/+bug/1249727
+       # https://bugs.launchpad.net/neutron/+bug/1251657
+       # turn multiprocessing off, testr will use it --parallel
+       local DISTUTILS_NO_PARALLEL_BUILD=1
+       # Move tests out that attempt net connection, have failures
+       mv $(find . -name test_ovs_tunnel.py) . || die
+       sed -e 's:test_app_using_ipv6_and_ssl:_&:' \
+               -e 's:test_start_random_port_with_ipv6:_&:' \
+               -i neutron/tests/unit/test_wsgi.py || die
+       testr init
+       testr run --parallel || die "failed testsuite under python2.7"
+}
+
+python_install() {
+       distutils-r1_python_install
+       if use server; then
+               newinitd "${FILESDIR}/neutron.initd" "neutron-server"
+               newconfd "${FILESDIR}/neutron-server.confd" "neutron-server"
+               dosym /etc/neutron/plugin.ini 
/etc/neutron/plugins/ml2/ml2_conf.ini
+       fi
+       if use dhcp; then
+               newinitd "${FILESDIR}/neutron.initd" "neutron-dhcp-agent"
+               newconfd "${FILESDIR}/neutron-dhcp-agent.confd" 
"neutron-dhcp-agent"
+       fi
+       if use l3; then
+               newinitd "${FILESDIR}/neutron.initd" "neutron-l3-agent"
+               newconfd "${FILESDIR}/neutron-l3-agent.confd" "neutron-l3-agent"
+       fi
+       if use metadata; then
+               newinitd "${FILESDIR}/neutron.initd" "neutron-metadata-agent"
+               newconfd "${FILESDIR}/neutron-metadata-agent.confd" 
"neutron-metadata-agent"
+       fi
+       if use openvswitch; then
+               newinitd "${FILESDIR}/neutron.initd" "neutron-openvswitch-agent"
+               newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" 
"neutron-openvswitch-agent"
+               newinitd "${FILESDIR}/neutron.initd" "neutron-ovs-cleanup"
+               newconfd "${FILESDIR}/neutron-openvswitch-agent.confd" 
"neutron-ovs-cleanup"
+       fi
+       if use linuxbridge; then
+               newinitd "${FILESDIR}/neutron.initd" "neutron-linuxbridge-agent"
+               newconfd "${FILESDIR}/neutron-linuxbridge-agent.confd" 
"neutron-linuxbridge-agent"
+       fi
+       diropts -m 755 -o neutron -g neutron
+       dodir /var/log/neutron /var/lib/neutron
+       keepdir /etc/neutron
+       insinto /etc/neutron
+       insopts -m 0640 -o neutron -g neutron
+
+       doins etc/*
+       # stupid renames
+       rm "${D}etc/neutron/quantum"
+       insinto /etc/neutron
+       doins -r "etc/neutron/plugins"
+       insopts -m 0640 -o root -g root
+       doins "etc/rootwrap.conf"
+       doins -r "etc/neutron/rootwrap.d"
+
+       insopts -m 0644
+       insinto 
"/usr/lib64/python2.7/site-packages/neutron/db/migration/alembic_migrations/"
+       doins -r "neutron/db/migration/alembic_migrations/versions"
+
+       #add sudoers definitions for user neutron
+       insinto /etc/sudoers.d/
+       insopts -m 0440 -o root -g root
+       newins "${FILESDIR}/neutron.sudoersd" neutron
+
+       #remove superfluous stuff
+       rm -R "${D}/usr/etc/"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( doc/build/html/. )
+       distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+       elog
+       elog "neutron-server's conf.d file may need updating to include 
additional ini files"
+       elog "We currently assume the ml2 plugin will be used but do not make 
assumptions"
+       elog "on if you will use openvswitch or linuxbridge (or something else)"
+       elog
+       elog "Other conf.d files may need updating too, but should be good for 
the default use case"
+       elog
+}

Reply via email to